Bug 120049 - up2date lists update packages that are not installed on system
up2date lists update packages that are not installed on system
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks: up2date-fc2
  Show dependency treegraph
 
Reported: 2004-04-05 11:34 EDT by Dave Convery
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:45:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Convery 2004-04-05 11:34:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) Opera 
7.23  [en]

Description of problem:
When running up2date on Fedora Core 2 RC2, it displays updates for 
all available RPMs. The machine has had a custom, selective install. 
Many of the RPMs should not be displayed. If I do a "selct all", 
uwanted packages get downloaded and there are also dependency 
mismatches.

Is there something I am missing? I normally do an "Install 
Everything". Should'nt up2date only display updates for packages that 
are installed on the system?

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:
Always

Steps to Reproduce:
1.Install Fedora Core2 RC2. Add all KDE components, FTP, telnet, 
Samba,
2.Do not select DHCP,or DNS server. No games or productivity apps - 
its just an ftp server.
3.Do not enable SELinux.
4. after install, launch up2date - it will list RPMs that are not 
installed.
    

Actual Results:  Lists updates to RPMs that are not installed on the 
system

Expected Results:  Only lists updates to RPMs that are installed on 
the system.

Additional info:

The only way to get around this is to only select the specific 
packages that need to be updated.
Comment 1 Adrian Likins 2004-04-07 16:07:24 EDT
I'll take a look...
Comment 2 Adrian Likins 2004-08-25 17:18:25 EDT
I cant see to reproduce this case.

Are there specific packages that are being listed
as updates that are not installed?
Comment 3 Dave Convery 2004-08-27 07:23:36 EDT
Sorry...
I have since upgraded to FC Core 2. All is well now. Thanks
Comment 4 John Thacker 2006-10-29 08:45:52 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.